# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.Validator

Packages that use Validator
Package
Description
net.shibboleth.idp.attribute.resolver.dc.impl
Common functionality used by data connectors.
net.shibboleth.idp.attribute.resolver.dc.ldap.impl
A `DataConnector` implementation that reads data from an LDAP.
net.shibboleth.idp.attribute.resolver.dc.rdbms.impl
A `DataConnector` implementation that reads data from a relational database.
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.scripted.impl
Classes which make up the scripted data connector.

## Uses of Validator in net.shibboleth.idp.attribute.resolver.dc.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.impl declared as Validator
Modifier and Type
Field
Description
`private Validator`
AbstractSearchDataConnector.`connectorValidator`
Validator for validating this data connector.
Methods in net.shibboleth.idp.attribute.resolver.dc.impl that return Validator
Modifier and Type
Method
Description
`Validator`
AbstractSearchDataConnector.`getValidator()`
Gets the validator used to validate this connector.
Methods in net.shibboleth.idp.attribute.resolver.dc.impl with parameters of type Validator
Modifier and Type
Method
Description
`void`
AbstractSearchDataConnector.`setValidator(Validator validator)`
Sets the validator used to validate this connector.

## Uses of Validator in net.shibboleth.idp.attribute.resolver.dc.ldap.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.ldap.impl that implement Validator
Modifier and Type
Class
Description
`class`
`ConnectionFactoryValidator`
Validator implementation that invokes `Connection.open()` to determine if the ConnectionFactory is properly configured.
Methods in net.shibboleth.idp.attribute.resolver.dc.ldap.impl with parameters of type Validator
Modifier and Type
Method
Description
`void`
LDAPDataConnector.`setValidator(Validator validator)`
Sets the validator used to validate this connector.

## Uses of Validator in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl that implement Validator
Modifier and Type
Class
Description
`class`
`DataSourceValidator`
Validator implementation that invokes `DataSource.getConnection()` to determine if the DataSource is properly configured.
Methods in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl with parameters of type Validator
Modifier and Type
Method
Description
`void`
RDBMSDataConnector.`setValidator(Validator validator)`
Sets the validator used to validate this connector.

## Uses of Validator in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.saml.impl that implement Validator
Modifier and Type
Class
Description
`private final class`
`SAMLDataConnector.NullValidator`
Because we are a SearchDataConnector we need to have a validator, so this plugs the gap.

## Uses of Validator in net.shibboleth.idp.attribute.resolver.dc.scripted.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.scripted.impl that implement Validator
Modifier and Type
Class
Description
`private final class`
`ScriptedDataConnector.NullValidator`
Because we are a SearchDataConnector we need to have a validator, so this plugs the gap.